http:
  port: 8081
admin:
  port: 9876
  host: localhost
apiEndpoints:
  dealerAPI:
    paths: ['/searchById', '/dealerInfo/*', '/updateMobile', '/checkMobile', '/updatePIN', '/dealerLogin', '/newDealer', '/sendOTP','/verifyOTP','/getAccessToken']
  devicesAPI:
    paths: ['/getDevices','/getDevicesByStockType', '/getBundles/*', '/bundleInfo/*','/getBundleTypes']
  cartAPI:
    paths: ['/addToCart', '/getCartList/*', '/clearCartItems/*', '/updateCartItem', '/deleteCartItem']
  orderAPI:
    paths: ['/createOrder', '/getOrderStatus/*', '/getOrderInfo/*', '/getTotalOrders/*', '/paymentTypes', '/paymentAccounts', '/bundleAvailability', '/getInvoice', '/getInvoiceItems']
  paymentAPI:
    paths: ['/createPayment', '/paymentInfo', '/totalPayments/*']
serviceEndpoints:
<<<<<<< HEAD
  dealerServiceEndPoint:
    url: 'http://${USER_HOST}:${USER_PORT}/'
  deviceServiceEndPoint:
    url: 'http://${USER_HOST}:${DEVICES_PORT}/'
  cartServiceEndPoint:
    url: 'http://${USER_HOST}:${CART_PORT}/'
  orderServiceEndPoint:
    url: 'http://${USER_HOST}:${ORDER_PORT}/'
  paymentServiceEndPoint:
    url: 'http://${USER_HOST}:${PAYMENT_PORT}/'
=======
  search:
    url: 'http://{$USER_HOST}:{$USER_PORT}/'
  
>>>>>>> 61d59c817604e4e35a5cf43514db1bc326887067
policies:
  - basic-auth
  - cors
  - key-auth
  - log
  - oauth2
  - proxy
  - jwt-auth
  - rate-limit
<<<<<<< HEAD
  - headers
  - expression
=======
  - jwt-auth
>>>>>>> 61d59c817604e4e35a5cf43514db1bc326887067
pipelines:
  default:
    apiEndpoints:
      - dealerAPI
    policies:
      - jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: dealerServiceEndPoint
            changeOrigin: true
  devices:
    apiEndpoints:
      - devicesAPI
    policies:
      - jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: deviceServiceEndPoint
            changeOrigin: true
  cart:
    apiEndpoints:
      - cartAPI
    policies:
      - jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: cartServiceEndPoint
            changeOrigin: true
  orders:
    apiEndpoints:
      - orderAPI
    policies:
      - jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: orderServiceEndPoint
            changeOrigin: true
  payments:
    apiEndpoints:
      - paymentAPI
    policies:
<<<<<<< HEAD
=======
      - jwt-auth:
    #JWT Token verification
      # - jwt:
      #   - action:
      #       secretOrPublicKey: 'the-secret-key'
      #       checkCredentialExistence: false
>>>>>>> 61d59c817604e4e35a5cf43514db1bc326887067
      - proxy:
        - jwt-auth:
        - action:
            serviceEndpoint: paymentServiceEndPoint
            changeOrigin: true

    
      
      
        
